#include "setuid.h"

int main(int argc, char *argv[])
{
	FILE *file = NULL; int count;
	char command[STRING_SIZE];
	char s[STRING_SIZE];
	char *result;
	char *name;
	char *enabled;
		
	if (!(initsetuid()))
		exit(1);
	
	if (argc < 2)
	{
		fprintf(stderr, "Missing arg\n");
		exit(1);
	}
	
	if (strcmp(argv[1], "S") == 0)
	{
		system("/usr/local/sbin/ipsec setup stop >/dev/null");
		exit(0);
	}
	else if (strcmp(argv[1], "R") == 0)
		system("/usr/local/sbin/ipsec setup restart >/dev/null");	
	else
	{
		fprintf(stderr, "Bad arg\n");
		exit(1);
	}

	sleep(8);
	
 	if (!(file = fopen("/var/smoothwall/vpn/config", "r")))
	{
		fprintf(stderr, "Couldn't open vpn settings file");
		goto EXIT;
	}

	while (fgets(s, STRING_SIZE, file) != NULL)
	{
		if (s[strlen(s) - 1] == '\n')
		        s[strlen(s) - 1] = '\0';		        	
		result = strtok(s, ",");
		count = 0;
		name = NULL;
		enabled = NULL;
		while (result)
		{
			if (count == 0)
				name = result;
			if (count == 8)
				enabled = result;
			count++;
			result = strtok(NULL, ",");
		}
		
		if (!(name && enabled))
			break;
		
		if (strspn(name, LETTERS) != strlen(name))
		{
			fprintf(stderr, "Bad connection name: %s\n", name);
			goto EXIT;
		}

		if (strcmp(enabled, "on") == 0)
		{
			memset(command, 0, STRING_SIZE);
			snprintf(command, STRING_SIZE - 1, 
				"/usr/local/sbin/ipsec auto --asynchronous --up %s >/dev/null", name);
			fprintf(stderr, "Running: %s\n", command);
			system(command);
		}
	}
		
EXIT:
	if (file)
		fclose(file);
	
	sleep(2);
	
	return 0;
}
