/* SmoothWall helper program - restartsquid
 *
 * This program is distributed under the terms of the GNU General Public
 * Licence.  See the file COPYING for details.
 *
 * (c) Lawrence Manning, 2001
 *
 * filename: restartsquid.c
 * Restarting squid with transparent proxying. */
 
#include "setuid.h"

int main(void)
{
	int fd = -1;
	int enable = 0;
	int transparent = 0;
	int running = 0;
	
	if (!(initsetuid()))
		exit(1);

	system("/sbin/ipchains -F squid");
	
	if ((fd = open("/var/smoothwall/proxy/enable", O_RDONLY)) != -1)
	{
		close(fd);
		enable = 1;
	}
	if ((fd = open("/var/smoothwall/proxy/transparent", O_RDONLY)) != -1)
	{
		close(fd);
		transparent = 1;
	}
	if ((fd = open("/var/run/squid.pid", O_RDONLY)) != -1)
	{
		close(fd);
		running = 1;
	}

	system("/usr/bin/killall squid >/dev/null 2>/dev/null");
	sleep(5);
	
	if (enable)
	{
		system("/usr/local/squid/bin/squid -D -z"); 
		system("/usr/local/squid/bin/squid -D");
	}
	
	if (transparent && enable)
		system("/sbin/ipchains -A squid -p tcp --destination-port 80 -j REDIRECT 800");
	
	return 0;
}
